var JsonLib = {}


JsonLib.objectToJSON = function(object){
	if(object == null){
		return null
	}
	switch(object.constructor){
		case Boolean:
			return object.toString();
			break;
		case Number:
			return object.toString();
			break;
		case String:
			return "'" + escape(object) + "'"
			break;
		case Date:
			return Number(object).toString();
			break;
		case Array:
			var tempObj = new Array()
			for(var i=0; i<object.length; i++){
				tempObj[i] = this.objectToJSON(object[i])
			}
			return '[' + tempObj.join(",") + ']'
			break;
		case Object:
			var str=["{"];
			for(var key in object){
				if(object[key] == undefined){
					continue
				}
				str.push("'" + key + "' :")
				str.push(this.objectToJSON( object[key] ))
				str.push(",")
			}
			var last = str.pop() // removes last
			if(last != ','){
				str.push(last)
			}
			str.push('}\n')
			return str.join('');
			break;
		default:
			return "''";
			break;
	}
}